For the complete documentation index, see llms.txt. This page is also available as Markdown.

List checks

URL

GET https://api.complycube.com/v1/checks

This endpoint allows you to list all existing checks. The checks are returned sorted by creation date, with the most recent checks appearing first.

Headers

Name
Type
Description

Authorization*

string

The live or sandbox API key.

Query parameters

Name
Type
Description

<pagination>

string

The number of items to return and the number of pages to offset.

<filtering>

string

Filter the results.

You can use pagination and checks filters for this endpoint.

Example request

curl -X GET https://api.complycube.com/v1/checks \
     -H 'Authorization: <YOUR_API_KEY>'
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const checks = await complycube.check.list("CLIENT_ID");
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

check_list = cc_api.checks.list() 
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$check_list = $ccapi->checks()->list();
using ComplyCube.Net;
using ComplyCube.Net.Resources.Checks;

var checkApi = new CheckApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var checks = await checkApi.ListAsync();

Example response

{
    "page": 1,
    "pageSize": 100,
    "totalItems": 1,
    "pages": 1,
    "items": [
        {
            "id": "5eb2b61e02df0a0008f1cf2a",
            "clientId": "5eb1276d96be4a0008713af5",
            "entityName": "John Doe",
            "type": "extensive_screening_check",
            "status": "complete",
            "enableMonitoring": false,
            "result": {
                "outcome": "clear"
            },
            "createdAt": "2020-01-01T14:06:44.756Z",
            "updatedAt": "2020-01-01T14:06:45.743Z"
        }
    ]
}